import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { JsonNullValueInputSchema } from '../enums/JsonNullValueInput.schema';
import { UserCreateNestedOneWithoutProcedureTimeslotInputObjectSchema as UserCreateNestedOneWithoutProcedureTimeslotInputObjectSchema } from './UserCreateNestedOneWithoutProcedureTimeslotInput.schema'

import { JsonValueSchema as jsonSchema } from '../../helpers/json-helpers';

const makeSchema = () => z.object({
  data: z.union([JsonNullValueInputSchema, jsonSchema]),
  user: z.lazy(() => UserCreateNestedOneWithoutProcedureTimeslotInputObjectSchema)
}).strict();
export const ProcedureTimeslotCreateInputObjectSchema: z.ZodType<Prisma.ProcedureTimeslotCreateInput> = makeSchema() as unknown as z.ZodType<Prisma.ProcedureTimeslotCreateInput>;
export const ProcedureTimeslotCreateInputObjectZodSchema = makeSchema();
